Module jdk.jsobject
Package netscape.javascript

# Class JSException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
netscape.javascript.JSException

All Implemented Interfaces:
  `Serializable`

public class JSException extends RuntimeException
Thrown when an exception is raised in the JavaScript engine. This is merely a marker class to indicate an exception relating to the JavaScript interface.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`JSException()`
Constructs a new JavaScript exception with null as it's detail message.
`JSException(String s)`
Construct a new JavaScript exception with the specified detail message.
`JSException(Throwable t)`
Construct a new JavaScript exception with the specified cause.

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### JSException

public JSException()
Constructs a new JavaScript exception with null as it's detail message.

### JSException

public JSException(String s)
Construct a new JavaScript exception with the specified detail message.

Parameters:
  `s` - The detail message

### JSException

public JSException(Throwable t)
Construct a new JavaScript exception with the specified cause.

Parameters:
  `t` - Throwable cause